# Uses of Enum
org.apache.commons.math3.stat.descriptive.moment.SemiVariance.Direction

Packages that use SemiVariance.Direction
Package
Description
org.apache.commons.math3.stat.descriptive.moment
Summary statistics based on moments.

## Uses of SemiVariance.Direction in org.apache.commons.math3.stat.descriptive.moment

Fields in org.apache.commons.math3.stat.descriptive.moment declared as SemiVariance.Direction
Modifier and Type
Field
Description
`static final SemiVariance.Direction`
SemiVariance.`DOWNSIDE_VARIANCE`
The DOWNSIDE Direction is used to specify that the observations below the cutoff point will be used to calculate SemiVariance
`static final SemiVariance.Direction`
SemiVariance.`UPSIDE_VARIANCE`
The UPSIDE Direction is used to specify that the observations above the cutoff point will be used to calculate SemiVariance.
Methods in org.apache.commons.math3.stat.descriptive.moment that return SemiVariance.Direction
Modifier and Type
Method
Description
`SemiVariance.Direction`
SemiVariance.`getVarianceDirection()`
Returns the varianceDirection property.
`static SemiVariance.Direction`
SemiVariance.Direction.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SemiVariance.Direction[]`
SemiVariance.Direction.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.stat.descriptive.moment with parameters of type SemiVariance.Direction
Modifier and Type
Method
Description
`double`
SemiVariance.`evaluate(double[] values, double cutoff, SemiVariance.Direction direction)`
Returns the `SemiVariance` of the designated values against the cutoff in the given direction, using the current value of the biasCorrection instance property.
`double`
SemiVariance.`evaluate(double[] values, double cutoff, SemiVariance.Direction direction, boolean corrected, int start, int length)`
Returns the `SemiVariance` of the designated values against the cutoff in the given direction with the provided bias correction.
`double`
SemiVariance.`evaluate(double[] values, SemiVariance.Direction direction)`
This method calculates `SemiVariance` for the entire array against the mean, using the current value of the biasCorrection instance property.
`void`
SemiVariance.`setVarianceDirection(SemiVariance.Direction varianceDirection)`
Sets the variance direction
Constructors in org.apache.commons.math3.stat.descriptive.moment with parameters of type SemiVariance.Direction
Modifier
Constructor
Description
``
`SemiVariance(boolean corrected, SemiVariance.Direction direction)`
Constructs a SemiVariance with the specified `isBiasCorrected` property and the specified `Direction` property.
``
`SemiVariance(SemiVariance.Direction direction)`
Constructs a SemiVariance with the specified `Direction` property and default (true) `biasCorrected` property